[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenu.Handle

Handle for the menu allocated in the widgetset class.

## Declaration

Source position: menus.pp line 421

`public property TMenu.Handle : HMENU read GetHandle;`

## Description

Handle is a read-only HMenu property with the handle for the menu. The Handle value is allocated by the widgetset class when the CreateHandle method is called. Use DestroyHandle to free the Handle for the menu.

## See also

TMenu.HandleNeeded |  | Ensures that a Handle has been allocated for the menu.
TMenu.CreateHandle |  | Creates the Handle for the menu.
TMenu.DestroyHandle |  | Frees the Handles for the items on the menu.